# Uses of Class
org.apache.zookeeper.Login

Packages that use Login
Package
Description
org.apache.zookeeper.client
org.apache.zookeeper.server
ZooKeeper server theory of operation

## Uses of Login in org.apache.zookeeper.client

Constructor parameters in org.apache.zookeeper.client with type arguments of type Login
Modifier
Constructor
Description
``
`ZooKeeperSaslClient(String serverPrincipal, ZKClientConfig clientConfig, AtomicReference<Login> loginRef)`

## Uses of Login in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as Login
Modifier and Type
Field
Description
`Login`
ServerCnxnFactory.`login`